com.amazonaws.services.lambda.model

## Class GetFunctionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.GetFunctionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetFunctionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

This response contains the object for the Lambda function location (see FunctionCodeLocation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetFunctionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetFunctionResult` `clone()`
`boolean` `equals(Object obj)`
`FunctionCodeLocation` `getCode()`
`FunctionConfiguration` `getConfiguration()`
`int` `hashCode()`
`void` `setCode(FunctionCodeLocation code)`
`void` `setConfiguration(FunctionConfiguration configuration)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetFunctionResult` `withCode(FunctionCodeLocation code)`
`GetFunctionResult` `withConfiguration(FunctionConfiguration configuration)`

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetFunctionResult

    public GetFunctionResult()

### Method Detail

#### setConfiguration

    public void setConfiguration(FunctionConfiguration configuration)

Parameters:
  `configuration` -

#### getConfiguration

    public FunctionConfiguration getConfiguration()

Returns:

#### withConfiguration

    public GetFunctionResult withConfiguration(FunctionConfiguration configuration)

Parameters:
  `configuration` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCode

    public void setCode(FunctionCodeLocation code)

Parameters:
  `code` -

#### getCode

    public FunctionCodeLocation getCode()

Returns:

#### withCode

    public GetFunctionResult withCode(FunctionCodeLocation code)

Parameters:
  `code` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetFunctionResult clone()

Overrides:
  `clone` in class `Object`